Fatal error : Call to undefined function: date_default_timezone

Résolu/Fermé
ben13640 Messages postés 103 Date d'inscription jeudi 29 novembre 2012 Statut Membre Dernière intervention 29 juillet 2022 - 22 juil. 2015 à 19:59
ben13640 Messages postés 103 Date d'inscription jeudi 29 novembre 2012 Statut Membre Dernière intervention 29 juillet 2022 - 28 juil. 2015 à 04:44
Bonjour,

J'ai installer un script pour mon site est j'ai suivi pas à pas

l'installation . Et j'ai cette erreur :

Fatal error : Call to undefined function: date_default_timezone_set () dans /home/oneannoncf/www/include/config.php sur la ligne 20

Quand je vais dans le fichier config.php à la ligne 20 j'ai ceci:

date_default_timezone_set('America/New_York');


Merci d'avance pour votre aide .

1 réponse

Firoxyd Messages postés 97 Date d'inscription mardi 23 juin 2015 Statut Membre Dernière intervention 28 juin 2017 47
Modifié par Firoxyd le 22/07/2015 à 20:11
Bonjour,

Cette fonction n'est dispo qu'a partir de PHP 5.1.0.
Ton serveur utilise probablement une version plus ancienne de PHP.
0
ben13640 Messages postés 103 Date d'inscription jeudi 29 novembre 2012 Statut Membre Dernière intervention 29 juillet 2022 8
22 juil. 2015 à 21:31
Salut Firoxyd

Ma version PHP est 5.4 , j'ai vu ça dans le fichier ovhconfig
.

Pense vous que cela peut venir de la version PHP

Merci d'avance pour votre aide.
0
Firoxyd Messages postés 97 Date d'inscription mardi 23 juin 2015 Statut Membre Dernière intervention 28 juin 2017 47 > ben13640 Messages postés 103 Date d'inscription jeudi 29 novembre 2012 Statut Membre Dernière intervention 29 juillet 2022
23 juil. 2015 à 08:01
Si tu places la commande phpinfo(); dans un fichier php et que tu vas sur cette page, tu obtiens bien la même version ?
0
ben13640 Messages postés 103 Date d'inscription jeudi 29 novembre 2012 Statut Membre Dernière intervention 29 juillet 2022 8
23 juil. 2015 à 19:55
Salut Firoxyd

J'ai bien fait la commande info.php et créer le fichier

Tu as bien raison ma version est PHP Version 4.4.9

Comment fait on pour changer la version PHP ?

Merci d'avance .
0
ben13640 Messages postés 103 Date d'inscription jeudi 29 novembre 2012 Statut Membre Dernière intervention 29 juillet 2022 8
23 juil. 2015 à 20:09
Salut

J'ai trouver comment changer la version PHP.

J'ai ajoute SetEnv PHP_VER 5 dans le fichier .htaccess.

Ma version maintenant est PHP Version 5.2.17

Mais quand j'actulise ma page j'ai cette erreur :

Warning: require_once(/home/oneannoncf/public_html//smarty/libs/Smarty.class.php) [function.require-once]: failed to open stream: No such file or directory in /home/oneannoncf/www/include/config.php on line 44

Fatal error: require_once() [function.require]: Failed opening required '/home/oneannoncf/public_html//smarty/libs/Smarty.class.php' (include_path='.:/usr/local/lib/php') in /home/oneannoncf/www/include/config.php on line 44

J'ai bien regarder le fichier est bien là .

Je suis perdu la.

Merci d'avance pour ton aide.
0
ben13640 Messages postés 103 Date d'inscription jeudi 29 novembre 2012 Statut Membre Dernière intervention 29 juillet 2022 8
28 juil. 2015 à 04:44
La solution est que je n'avait pas indiquer le bon chemein

j'ai mis cela: $config['basedir'] = '/home/oneannoncf/www';

est tout fonctionne

Merci de votre aide
0